<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Package org.apache.poi.poifs.filesystem (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package org.apache.poi.poifs.filesystem (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/filesystem/package-use.html"
               target="_top">Frames</a></li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Uses of Package org.apache.poi.poifs.filesystem" class="title">Uses of Package<br>org.apache.poi.poifs.filesystem
    </h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi">org.apache.poi</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.extractor">org.apache.poi.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.extractor.ole2">org.apache.poi.extractor.ole2</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hdgf">org.apache.poi.hdgf</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hdgf.extractor">org.apache.poi.hdgf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hpbf">org.apache.poi.hpbf</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hpbf.dev">org.apache.poi.hpbf.dev</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hpbf.extractor">org.apache.poi.hpbf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hpbf.model">org.apache.poi.hpbf.model</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hpsf">org.apache.poi.hpsf</a></td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hpsf.extractor">org.apache.poi.hpsf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.dev">org.apache.poi.hslf.dev</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.extractor">org.apache.poi.hslf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.record">org.apache.poi.hslf.record</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.usermodel">org.apache.poi.hslf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hsmf">org.apache.poi.hsmf</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hsmf.datatypes">org.apache.poi.hsmf.datatypes</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hsmf.dev">org.apache.poi.hsmf.dev</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hsmf.extractor">org.apache.poi.hsmf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hsmf.parsers">org.apache.poi.hsmf.parsers</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.eventusermodel">org.apache.poi.hssf.eventusermodel</a>
                    </td>
                    <td class="colLast">
                        <div class="block">HSSF eventmodel Package provides an event-based API for reading HSSF files.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.extractor">org.apache.poi.hssf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf">org.apache.poi.hwpf</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.converter">org.apache.poi.hwpf.converter</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.extractor">org.apache.poi.hwpf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.usermodel">org.apache.poi.hwpf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ooxml.extractor">org.apache.poi.ooxml.extractor</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.poifs.crypt">org.apache.poi.poifs.crypt</a></td>
                    <td class="colLast">
                        <div class="block">Implementation of the ECMA-376 and MS-propritary document encryptions</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="#org.apache.poi.poifs.crypt.agile">org.apache.poi.poifs.crypt.agile</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.poifs.crypt.binaryrc4">org.apache.poi.poifs.crypt.binaryrc4</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.poifs.crypt.cryptoapi">org.apache.poi.poifs.crypt.cryptoapi</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.poifs.crypt.standard">org.apache.poi.poifs.crypt.standard</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.poifs.crypt.xor">org.apache.poi.poifs.crypt.xor</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.poifs.dev">org.apache.poi.poifs.dev</a></td>
                    <td class="colLast">
                        <div class="block">DEV package serves two purposes.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.poifs.eventfilesystem">org.apache.poi.poifs.eventfilesystem</a>
                    </td>
                    <td class="colLast">
                        <div class="block">The eventfilesystem is an efficient method for reading OLE 2 CDF files.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.poifs.filesystem">org.apache.poi.poifs.filesystem</a>
                    </td>
                    <td class="colLast">
                        <div class="block">filesystem package maps OLE 2 Compound document files to a more familiar
                            filesystem interface.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.poifs.macros">org.apache.poi.poifs.macros</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.poifs.property">org.apache.poi.poifs.property</a></td>
                    <td class="colLast">
                        <div class="block">property package contains high and low level Property structures for POIFS.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.sl.usermodel">org.apache.poi.sl.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.extractor">org.apache.poi.ss.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.usermodel">org.apache.poi.ss.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/package-summary.html">org.apache.poi</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.extractor">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/extractor/package-summary.html">org.apache.poi.extractor</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryEntry.html#org.apache.poi.extractor">DirectoryEntry</a>
                        <div class="block">This interface defines methods specific to Directory objects
                            managed by a Filesystem instance.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.extractor">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.extractor">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.extractor.ole2">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/extractor/ole2/package-summary.html">org.apache.poi.extractor.ole2</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.extractor.ole2">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/Entry.html#org.apache.poi.extractor.ole2">Entry</a>
                        <div class="block">This interface provides access to an object managed by a Filesystem
                            instance.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hdgf">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/hdgf/package-summary.html">org.apache.poi.hdgf</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.hdgf">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.hdgf">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hdgf.extractor">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/hdgf/extractor/package-summary.html">org.apache.poi.hdgf.extractor</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.hdgf.extractor">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.hdgf.extractor">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hpbf">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/hpbf/package-summary.html">org.apache.poi.hpbf</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.hpbf">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.hpbf">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hpbf.dev">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/hpbf/dev/package-summary.html">org.apache.poi.hpbf.dev</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.hpbf.dev">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.hpbf.dev">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hpbf.extractor">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/hpbf/extractor/package-summary.html">org.apache.poi.hpbf.extractor</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.hpbf.extractor">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.hpbf.extractor">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hpbf.model">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/hpbf/model/package-summary.html">org.apache.poi.hpbf.model</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.hpbf.model">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hpsf">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/hpsf/package-summary.html">org.apache.poi.hpsf</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryEntry.html#org.apache.poi.hpsf">DirectoryEntry</a>
                        <div class="block">This interface defines methods specific to Directory objects
                            managed by a Filesystem instance.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.hpsf">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hpsf.extractor">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/hpsf/extractor/package-summary.html">org.apache.poi.hpsf.extractor</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.hpsf.extractor">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hslf.dev">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/hslf/dev/package-summary.html">org.apache.poi.hslf.dev</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.hslf.dev">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hslf.extractor">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/hslf/extractor/package-summary.html">org.apache.poi.hslf.extractor</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.hslf.extractor">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.hslf.extractor">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hslf.record">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/hslf/record/package-summary.html">org.apache.poi.hslf.record</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.hslf.record">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.hslf.record">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hslf.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.hslf.usermodel">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.hslf.usermodel">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hsmf">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/hsmf/package-summary.html">org.apache.poi.hsmf</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.hsmf">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.hsmf">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hsmf.datatypes">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/hsmf/datatypes/package-summary.html">org.apache.poi.hsmf.datatypes</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryEntry.html#org.apache.poi.hsmf.datatypes">DirectoryEntry</a>
                        <div class="block">This interface defines methods specific to Directory objects
                            managed by a Filesystem instance.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.hsmf.datatypes">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hsmf.dev">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/hsmf/dev/package-summary.html">org.apache.poi.hsmf.dev</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.hsmf.dev">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hsmf.extractor">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/hsmf/extractor/package-summary.html">org.apache.poi.hsmf.extractor</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.hsmf.extractor">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.hsmf.extractor">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hsmf.parsers">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/hsmf/parsers/package-summary.html">org.apache.poi.hsmf.parsers</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.hsmf.parsers">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/Entry.html#org.apache.poi.hsmf.parsers">Entry</a>
                        <div class="block">This interface provides access to an object managed by a Filesystem
                            instance.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.hsmf.parsers">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.eventusermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/hssf/eventusermodel/package-summary.html">org.apache.poi.hssf.eventusermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.hssf.eventusermodel">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.hssf.eventusermodel">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.extractor">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/hssf/extractor/package-summary.html">org.apache.poi.hssf.extractor</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.hssf.extractor">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.hssf.extractor">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryEntry.html#org.apache.poi.hssf.usermodel">DirectoryEntry</a>
                        <div class="block">This interface defines methods specific to Directory objects
                            managed by a Filesystem instance.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.hssf.usermodel">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.hssf.usermodel">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hwpf">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/hwpf/package-summary.html">org.apache.poi.hwpf</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.hwpf">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.hwpf">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hwpf.converter">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/hwpf/converter/package-summary.html">org.apache.poi.hwpf.converter</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.hwpf.converter">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/Entry.html#org.apache.poi.hwpf.converter">Entry</a>
                        <div class="block">This interface provides access to an object managed by a Filesystem
                            instance.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.hwpf.converter">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hwpf.extractor">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/hwpf/extractor/package-summary.html">org.apache.poi.hwpf.extractor</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.hwpf.extractor">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.hwpf.extractor">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hwpf.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/hwpf/usermodel/package-summary.html">org.apache.poi.hwpf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryEntry.html#org.apache.poi.hwpf.usermodel">DirectoryEntry</a>
                        <div class="block">This interface defines methods specific to Directory objects
                            managed by a Filesystem instance.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/Entry.html#org.apache.poi.hwpf.usermodel">Entry</a>
                        <div class="block">This interface provides access to an object managed by a Filesystem
                            instance.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ooxml.extractor">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/ooxml/extractor/package-summary.html">org.apache.poi.ooxml.extractor</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.ooxml.extractor">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.ooxml.extractor">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.poifs.crypt">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/poifs/crypt/package-summary.html">org.apache.poi.poifs.crypt</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryEntry.html#org.apache.poi.poifs.crypt">DirectoryEntry</a>
                        <div class="block">This interface defines methods specific to Directory objects
                            managed by a Filesystem instance.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.poifs.crypt">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DocumentEntry.html#org.apache.poi.poifs.crypt">DocumentEntry</a>
                        <div class="block">This interface defines methods specific to Document objects
                            managed by a Filesystem instance.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.poifs.crypt">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.poifs.crypt.agile">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/poifs/crypt/agile/package-summary.html">org.apache.poi.poifs.crypt.agile</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.poifs.crypt.agile">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.poifs.crypt.binaryrc4">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/poifs/crypt/binaryrc4/package-summary.html">org.apache.poi.poifs.crypt.binaryrc4</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.poifs.crypt.binaryrc4">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.poifs.crypt.cryptoapi">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/poifs/crypt/cryptoapi/package-summary.html">org.apache.poi.poifs.crypt.cryptoapi</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.poifs.crypt.cryptoapi">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.poifs.crypt.cryptoapi">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.poifs.crypt.standard">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/poifs/crypt/standard/package-summary.html">org.apache.poi.poifs.crypt.standard</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.poifs.crypt.standard">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSWriterEvent.html#org.apache.poi.poifs.crypt.standard">POIFSWriterEvent</a>
                        <div class="block">Class POIFSWriterEvent</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSWriterListener.html#org.apache.poi.poifs.crypt.standard">POIFSWriterListener</a>
                        <div class="block">Interface POIFSWriterListener</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.poifs.crypt.xor">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/poifs/crypt/xor/package-summary.html">org.apache.poi.poifs.crypt.xor</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.poifs.crypt.xor">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.poifs.dev">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/poifs/dev/package-summary.html">org.apache.poi.poifs.dev</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryEntry.html#org.apache.poi.poifs.dev">DirectoryEntry</a>
                        <div class="block">This interface defines methods specific to Directory objects
                            managed by a Filesystem instance.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.poifs.dev">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.poifs.dev">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.poifs.eventfilesystem">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/poifs/eventfilesystem/package-summary.html">org.apache.poi.poifs.eventfilesystem</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DocumentInputStream.html#org.apache.poi.poifs.eventfilesystem">DocumentInputStream</a>
                        <div class="block">This class provides methods to read a DocumentEntry managed by a
                            <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                               title="class in org.apache.poi.poifs.filesystem"><code>POIFSFileSystem</code></a>
                            instance.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSDocumentPath.html#org.apache.poi.poifs.eventfilesystem">POIFSDocumentPath</a>
                        <div class="block">Class POIFSDocumentPath</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.poifs.eventfilesystem">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.poifs.filesystem">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/BlockStore.html#org.apache.poi.poifs.filesystem">BlockStore</a>
                        <div class="block">This abstract class describes a way to read, store, chain
                            and free a series of blocks (be they Big or Small ones)
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/BlockStore.ChainLoopDetector.html#org.apache.poi.poifs.filesystem">BlockStore.ChainLoopDetector</a>
                        <div class="block">Used to detect if a chain has a loop in it, so
                            we can bail out with an error rather than
                            spinning away for ever...
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryEntry.html#org.apache.poi.poifs.filesystem">DirectoryEntry</a>
                        <div class="block">This interface defines methods specific to Directory objects
                            managed by a Filesystem instance.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.poifs.filesystem">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DocumentEntry.html#org.apache.poi.poifs.filesystem">DocumentEntry</a>
                        <div class="block">This interface defines methods specific to Document objects
                            managed by a Filesystem instance.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DocumentInputStream.html#org.apache.poi.poifs.filesystem">DocumentInputStream</a>
                        <div class="block">This class provides methods to read a DocumentEntry managed by a
                            <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                               title="class in org.apache.poi.poifs.filesystem"><code>POIFSFileSystem</code></a>
                            instance.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DocumentNode.html#org.apache.poi.poifs.filesystem">DocumentNode</a>
                        <div class="block">Simple implementation of DocumentEntry for OPOIFS</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DocumentOutputStream.html#org.apache.poi.poifs.filesystem">DocumentOutputStream</a>
                        <div class="block">This class provides methods to write a DocumentEntry managed by a
                            <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                               title="class in org.apache.poi.poifs.filesystem"><code>POIFSFileSystem</code></a>
                            instance.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/Entry.html#org.apache.poi.poifs.filesystem">Entry</a>
                        <div class="block">This interface provides access to an object managed by a Filesystem
                            instance.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/EntryNode.html#org.apache.poi.poifs.filesystem">EntryNode</a>
                        <div class="block">Abstract implementation of Entry

                            Extending classes should override isDocument() or isDirectory(), as
                            appropriate

                            Extending classes must override isDeleteOK()
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/FileMagic.html#org.apache.poi.poifs.filesystem">FileMagic</a>
                        <div class="block">The file magic number, i.e.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/Ole10Native.html#org.apache.poi.poifs.filesystem">Ole10Native</a>
                        <div class="block">Represents an Ole10Native record which is wrapped around certain binary
                            files being embedded in OLE2 documents.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/Ole10NativeException.html#org.apache.poi.poifs.filesystem">Ole10NativeException</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSDocument.html#org.apache.poi.poifs.filesystem">POIFSDocument</a>
                        <div class="block">This class manages a document in the NIO POIFS filesystem.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSDocumentPath.html#org.apache.poi.poifs.filesystem">POIFSDocumentPath</a>
                        <div class="block">Class POIFSDocumentPath</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.poifs.filesystem">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSWriterEvent.html#org.apache.poi.poifs.filesystem">POIFSWriterEvent</a>
                        <div class="block">Class POIFSWriterEvent</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSWriterListener.html#org.apache.poi.poifs.filesystem">POIFSWriterListener</a>
                        <div class="block">Interface POIFSWriterListener</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.poifs.macros">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/poifs/macros/package-summary.html">org.apache.poi.poifs.macros</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.poifs.macros">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DocumentInputStream.html#org.apache.poi.poifs.macros">DocumentInputStream</a>
                        <div class="block">This class provides methods to read a DocumentEntry managed by a
                            <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                               title="class in org.apache.poi.poifs.filesystem"><code>POIFSFileSystem</code></a>
                            instance.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.poifs.macros">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.poifs.property">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/poifs/property/package-summary.html">org.apache.poi.poifs.property</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/BATManaged.html#org.apache.poi.poifs.property">BATManaged</a>
                        <div class="block">This interface defines behaviors for objects managed by the Block
                            Allocation Table (BAT).
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSDocument.html#org.apache.poi.poifs.property">POIFSDocument</a>
                        <div class="block">This class manages a document in the NIO POIFS filesystem.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.poifs.property">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSStream.html#org.apache.poi.poifs.property">POIFSStream</a>
                        <div class="block">This handles reading and writing a stream within a
                            <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                               title="class in org.apache.poi.poifs.filesystem"><code>POIFSFileSystem</code></a>.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.sl.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/sl/usermodel/package-summary.html">org.apache.poi.sl.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryEntry.html#org.apache.poi.sl.usermodel">DirectoryEntry</a>
                        <div class="block">This interface defines methods specific to Directory objects
                            managed by a Filesystem instance.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.sl.usermodel">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.sl.usermodel">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.extractor">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/ss/extractor/package-summary.html">org.apache.poi.ss.extractor</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.ss.extractor">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryNode.html#org.apache.poi.ss.usermodel">DirectoryNode</a>
                        <div class="block">Simple implementation of DirectoryEntry</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/POIFSFileSystem.html#org.apache.poi.ss.usermodel">POIFSFileSystem</a>
                        <div class="block">This is the main class of the POIFS system; it manages the entire
                            life cycle of the filesystem.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xssf.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a> used by <a
                        href="../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/poifs/filesystem/class-use/DirectoryEntry.html#org.apache.poi.xssf.usermodel">DirectoryEntry</a>
                        <div class="block">This interface defines methods specific to Directory objects
                            managed by a Filesystem instance.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/filesystem/package-use.html"
               target="_top">Frames</a></li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
